﻿//================================================
/*

 TIMEline Gadget
 Copyright (c) 2007 Glenn Rivkees.
 http://glennrivkees.com/gadgets/

    This file is part of the TIMEline Gadget.

    TIMEline Gadget is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    TIMEline Gadget is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with TIMEline Gadget; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    To view a copy of this license, visit http://creativecommons.org/licenses/GPL/2.0/

*/
//================================================


function view_onOpen() {
	updatetime();
	setInterval("updatetime()", 30000);

//Check for update when the gadget is open. manualrequest=false.
checkupdate(false);

// Set up menu management handler.
pluginHelper.onAddCustomMenuItems = onAddCustomMenuItems;
}


//---
//add menu item
//---
function onAddCustomMenuItems(menu) {
	// Adds custom menu item
	menu.AddItem("Check for Update", 0, runcheckupdate);
	//runs the check update function with manualrequest=true
	function runcheckupdate(){checkupdate(true)}
}


/*Update Time*/
function updatetime(){
var myDate=new Date();
var hours = myDate.getHours() + (myDate.getMinutes()/60);
if(hours>12){hours-=12;}
debug.trace(hours+" after 12");
timelinediv.x=-(hours*40+25)//number of hours(px per hour) + px 12 starts on
}