﻿//================================================
/*

 Gadget Alert Update Script
 Copyright (c) 2007 Glenn Rivkees.
 http://glennrivkees.com/grplugins/

    This file is part of Gadget Alert Update Script.

    Gadget Alert Update Script is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Gadget Alert Update Script is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Gadget Alert Update Script; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    To view a copy of this license, visit http://creativecommons.org/licenses/GPL/2.0/

*/
//================================================


//---
//Update Check
//---

//SET OPTIONS
var latestversionxmlURL="http://www.glennrivkees.com/plugins/timeline/latestversion.xml"
var gadget_version_number="1.0.0.0"; //this varibale can be changed in the UI in this example gadget

function checkupdate(manualrequest){
	//load xml code
	var updatexmlDoc = new ActiveXObject("Microsoft.XMLDOM");
	function updateloadXML(uxmlFile)
	{
		updatexmlDoc.async="false";
		updatexmlDoc.onreadystatechange=verify;
		updatexmlDoc.load(uxmlFile);
		updatexmlObj=updatexmlDoc.documentElement;
	}
	function verify()
	{
		if (updatexmlDoc.readyState != 4)
		{
			return false;
		}
	}
	//try to load latestversion.xml and parse file
	try{
		updateloadXML(latestversionxmlURL);
		//set xml version info to variables
		latestVis=updatexmlObj.childNodes(0).childNodes(1).text
		changesinvertitle = updatexmlObj.childNodes(0).childNodes(2).childNodes(0).text
		changesinverdesc = updatexmlObj.childNodes(0).childNodes(2).childNodes(1).text
		downloadurl = updatexmlObj.childNodes(0).childNodes(2).childNodes(2).text
		//if there is an update...
		if(gadget_version_number!=latestVis)
		{
			//IF THERE IS A NEW VERSION TELL THE USER
			//--Alert Method
			alert("A newer version of \""+GADGET_NAME+"\" is availible.\nIt is recommended that you update. \n\nYou currently have version "+gadget_version_number+" and the latest version is "+latestVis+".\n\n"+changesinvertitle+"\n"+changesinverdesc)
			//ask if the want to download
			if(confirm('Do you wish to go to the gadget download website?'))
			{
				var winShell = new ActiveXObject("Shell.Application");
				winShell.ShellExecute(downloadurl); 
			}
		}
		//if there is no update, and the user has manually asked tell them
		else if(manualrequest)
		{
			//--Alert Method
			alert("You have the latest version.\n\nYou currently have version "+gadget_version_number+" and the latest version is "+latestVis+".")
		}
	}
	//if anything above raised an error (downloading or parsing) only alert user if manualrequest
	catch (e){
		debug.error(e);
		if(manualrequest)
		{
			//--Alert Method
			alert("Error checking for updates. Please check your network connection.")
		}
	}
}